Subject: bug#64739: (forward-thing 'number) doesn't work with decimal numbers

From: Roland Winkler <[email-masked]>
Date: Fri, 21 Jul 2023 07:28:29 -0500

On Thu, Jul 20 2023, Eli Zaretskii wrote:
>> forward-word doesn't seem to be the correct forward-op for numbers.
>
> That depends on the buffer's syntax table, though.

I am frequently running into similar problems when I deal with numbers,
but the syntax table is not designed for this.  Would it make sense if
(forward-thing 'number) temporarily used a customized synatx table?